/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"Debug_8h.html#afc3d101f633a076cc1ca84b85b6224b2",
"IOStream_8h_source.html",
"LookupAttr_8h.html",
"Node_8cc.html#aedd97e94758b8353b3e605bc30cc2cd6",
"PoolItemBest_8cc.html#ad811c961156e394c4118bcaa55d5df90",
"RepoFileReader_8cc.html#aab6614e43bcfcfe0d9d47af491e03b56",
"RpmFlags_8h.html#a4c4781cc6d1baa791e7b97b8093beeb9a94080f683b374b639e6779aa75bfceab",
"StrMatcher_8h.html",
"TmpPath_8h.html#a69bfa9347a2d31f2a4cb7188e917c10a",
"classPackageProviderImpl_3_01TPackage_01_4.html",
"classzypp_1_1Capabilities.html#a09f6b88785fc5812d6307a1d89eb1385",
"classzypp_1_1CpeId.html#aad23b52130fa808c64805293edcd0d73",
"classzypp_1_1Errno.html#aa7f7c13f8729a56374609c1ea6be6c68",
"classzypp_1_1HistoryLogDataRepoRemove.html",
"classzypp_1_1Locale.html",
"classzypp_1_1Package.html#ad05dd09a70fecb5907eccf19a0a675e1",
"classzypp_1_1PoolItem.html#a8878adf44d797cbaec7aa82aa8ecec93",
"classzypp_1_1ProgressData.html#a0c29e50018a221129ffed2afb7e20704",
"classzypp_1_1RepoManager.html#a147dcafcd26abbd7f4fc492489b331a1",
"classzypp_1_1ResPool.html#acba88fbd6d3c3f041135e70c54ad80d8",
"classzypp_1_1Resolvable.html#aeecab217f28f05bfc96c13eaeed8a145",
"classzypp_1_1StringTypeAttr.html#a80e63dc19093fb86be8f5643a7e27193",
"classzypp_1_1ZConfig.html#ae9f725c9a48c51f8706f30334dce2091",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#a0f539404d05c8b11bf913176990dc734",
"classzypp_1_1callback_1_1UserData.html#a98f4f592fee0a997f39314e9ed2e2fd0",
"classzypp_1_1filesystem_1_1Pathname.html#a656e18832214285a54c5630c1de1bc45",
"classzypp_1_1media_1_1CurlAuthData.html#ab590f12dcc105b34063b5040e4c1e29b",
"classzypp_1_1media_1_1MediaDISK.html#ac9e6f9559035c696c8c3d240fb6fbc0d",
"classzypp_1_1media_1_1MediaNotOpenException.html#aaab11fcf1228fea7d834860bc74d926c",
"classzypp_1_1media_1_1ZsyncParser.html#a87ada3ad8317dd1de4526e5e9451d5da",
"classzypp_1_1parser_1_1susetags_1_1RepoIndex.html#a8092ceae5088f11f6c9c974a1cf7aa92",
"classzypp_1_1repo_1_1RepoMirrorList.html#a702321b5570f1c8b318dfd9d65865f52",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#a1808aee0832fbecefa0e4778d4d27570",
"classzypp_1_1sat_1_1SolvAttr.html#aa5f07c1564774395c1c78e081a2e105c",
"classzypp_1_1sat_1_1WhatObsoletes.html#a5bf0b4233268c28e6b9bb44913cc1272",
"classzypp_1_1str_1_1regex.html#a5429880f04d924a68dc9d3c72fe3b65b",
"classzypp_1_1target_1_1TargetAbortedException.html#a0c559c26445754cde61bf18a56888b15",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a9e961b844f6aef2b6c94a3d046c659d6",
"classzypp_1_1thread_1_1Mutex.html",
"classzypp_1_1ws_1_1WebpinResult.html#a44badf44cabc455a17e844ca732ac2fc",
"functions_eval_d.html",
"group__ZYPP__BASE__LOGGER__MACROS.html#gac2f5053852d30c8208a2b54f9da37732",
"namespacezypp_1_1exception__detail.html",
"structzypp_1_1CompareBy.html",
"structzypp_1_1HistoryActionID.html#af118b63cc3425e8b65c26d81473dd9c6",
"structzypp_1_1ProgressReport.html",
"structzypp_1_1RepoManager_1_1Impl.html#a869f9a264de3812c0b0db8aa1244a1eb",
"structzypp_1_1base_1_1ProvideNumericId.html#a1898fd176c3a32cf896773fbe385527e",
"structzypp_1_1functor_1_1functor__detail_1_1FunctorRef2.html#a23eb006c3b8bdb9adb8f361315126a6b",
"structzypp_1_1parser_1_1ProductFileData_1_1Upgrade.html#a7a709f8cf81f780b5003fd5938739ca4",
"structzypp_1_1resfilter_1_1ByKeep.html#a03b5625734d2ce4be392032989e1288c",
"structzypp_1_1str_1_1Str.html#a6249082b34fc91d30c59f4802fd06254",
"structzypp_1_1ui_1_1StatusHelper.html#aa1b3c310ba68f171f335f87565994155"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';